package utilities

import "fmt"

type Ratio struct {
	Numerator   int
	Denominator int
}

func (r Ratio) Float64() float64 {
	return float64(r.Numerator) / float64(r.Denominator)
}

func (r Ratio) String() string {
	return fmt.Sprintf("%d:%d", r.Numerator, r.Denominator)
}
